#ifndef _Countdown_HPP_
#define _Countdown_HPP_

#include <stdio.h>
#include "../externs.hpp"
#include "../bpm.hpp"

class Countdown : public Base
{
	public:

		Countdown();
		~Countdown();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
		void renderScene(float pos, float alpha);

		TriggerSystem *triggers;
};

#endif
